%define upstream_name    Term-ReadLine
%define upstream_version 1.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Common interface for various implementations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildArch:  noarch

%description
This package is just a front end to some other packages. It's a stub to set
up a common interface to the various ReadLine implementations found on CPAN
(under the 'Term::ReadLine::*' namespace).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.140.0-9.mga8
+ Revision: 1497310
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.140.0-8.mga7
+ Revision: 1271634
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.140.0-7.mga6
+ Revision: 1033946
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.140.0-6.mga6
+ Revision: 945980
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.140.0-5.mga5
+ Revision: 751140
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.140.0-4.mga5
+ Revision: 686377
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 1.140.0-3.mga5
+ Revision: 588014
- rebuild after perl 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 1.140.0-2.mga4
+ Revision: 534146
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 1.140.0-1.mga4
+ Revision: 476324
- update to 1.14

* Wed Mar 27 2013 jquelin <jquelin> 1.100.0-4.mga3
+ Revision: 405566
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-3.mga3
+ Revision: 373286
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.100.0-2.mga3
+ Revision: 315583
- perl 5.16.2 rebuild

* Mon Oct 01 2012 jquelin <jquelin> 1.100.0-1.mga3
+ Revision: 301476
- imported package perl-Term-ReadLine


* Mon Oct 01 2012 cpan2dist 1.10-1mga
- initial mageia release, generated with cpan2dist
